Skip to main content

PATCH Update Problem

URL: {{server-url}}/api/v1/problem/{{problem-Id}}

Example: {{server-url}}/api/v1/problem/1

You can update the details of an existing problem ticket by calling the above endpoint with the problem ID. You have to pass the following key-values:

Header

KeyDescription
AuthorizationBearer {access token obtained after authorization}
Content-Typeapplication/json

Body

KeyValue TypeDescription
requesterEmail*StringEmail address of the user registered for the client.
subject*StringSubject of the problem.
descriptionStringDescription about the problem.
impactNameStringDescribes the effect of the Problem. Possible values are: Low, On User , On department, Or On Business.
priorityNameStringShows the importance of the Problem. Possible values are: Low, Medium, High, or Urgent.
urgencyNameStringMarks the Problem as urgent. Possible values are: Low, Medium, High, or Urgent.
categoryStringCategory name assigned to the problem.
technicianGroupStringName of the technician group.
assigneeStringName of the Assignee (email address).
departmentStringDepartment associated with the problem.
locationStringName of the Location where the problem occurred. Note that Location Must Exist with same name.
symptompsStringDescription of the symptoms of the problem.
natureOfProblem*StringDescribes the nature of the problem. Possible values are: Reactive, Proactive.
knownError*BooleanIndicates if the problem is a known error.
statusNameStringCurrent status of the problem.
tagsString ArrayThese are additional identifiers attached to a ticket. Its a list that can contain n number of STRINGS.
rootCauseStringDescription of the root cause of the problem.
dueBy*StringSet the due date for the problem (e.g., "DD-MM-YYYY HH:MM").
fileAttachmentsObject ArrayReference File Name of attachments for a Problem. For example:[ { “refFileName” : “abc”, “realName” : “xyz.pdf” } ]

Example (Request & Response)

Request

curl --location --request PATCH 'http://172.16.11.148/api/v1/problem/1' \
--header 'Authorization: Bearer eyJraWQiOiJmbG90by1rZXktaWQiLCJhbGciOiJSUzI1NiJ9.eyJzdWIiOiJqZXJyeUBtb3RhZGF0YS5jb20iLCJ1c2VyX25hbWUiOiJ1dWlkMzYtZmM4Mjc3NWItZjM1Ni00MWM4LWIyMGMtN2Q3MWE2MjI4MzFkIiwiaXNzIjoiaHR0cDovLzE3Mi4xNi4xMS4xNDgvYXBpIiwibG9naW5fc291cmNlIjoiTk9STUFMX0xPR0lOIiwiY2xpZW50X2lkIjoiUG9zdG1hbi1jbGllbnQiLCJhdWQiOiJQb3N0bWFuLWNsaWVudCIsImxvZ2luX3Nzb19pZCI6MCwibmJmIjoxNzcwNzIxMTQ5LCJncmFudF90eXBlIjoicGFzc3dvcmQiLCJzY29wZSI6WyJvdGhlci1hcGktc2NvcGUiXSwiZXhwIjoxNzcwODkzOTQ5LCJsb2dpbl9tc3BfcG9ydGFsX2lkIjowLCJpYXQiOjE3NzA3MjExNDksImp0aSI6ImViNTY5ODA0LWFlZTMtNGRmMS04MGJjLWU5ODJkZGQxOWQ5NSIsInRlbmFudElkZW50aWZpZXIiOiJhcG9sbyJ9.rca4U4WWUXwrCW6zPbN4JIBoyTQPtJj0EloSdwNvobw2qEG9ScX2Qsuq8H9iEDJCus0m-2DgHZk8SgB4LWhuACoX_NHpODvBIaXntfnXfmtV5tvOrt01zJ9vBhQ9w8JHH6o_YkcoB4JsXB8lYRYCxmBXMV33msCIHkJICTUS_SR4jD2RvXnHESDDmOYH5IT0OQq18NWrEJRZi9SfykiUtkNfSneGYF-0y0H_zm0bo0kiHK6Mmz_aByvUkRzBtGSZrH22C4dZl9osn2vh0ELR32EDHuZy19i2T3cAEvtVP_Cr3Oq43UzA2RBkKKHDV2UucRofiDgw_w1vIb9rqGmRPA' \
--header 'Content-Type: application/json' \
--data-raw '{
"urgencytName": "Medium",
"priorityName": "Low",
"category": "General",
"technicianGroup": "IT Support Group",
"assignee": "jerry@motadata.com",
"department": "IT",
"location": "Asia",
"symptomps": "<p>Fluctuating Internet connection.</p>",
"dueBy": "03-03-2026 06:00",
"fileAttachments": [
{
"refFileName": "156b087f-a81a-4b30-af12-82a1c7314311",
"realName": "Troubleshooting Steps.pdf"
}
]
}'

Response

{
"id": 1,
"name": "PBM-1",
"createdTime": 1770721275816,
"updatedTime": 1770724551976,
"customField": {},
"statusName": "Open",
"createdByName": "jerry",
"subject": "Internet Connectivity Issue",
"requesterName": "jerry",
"fileAttachments": [
{
"refFileName": "156b087f-a81a-4b30-af12-82a1c7314311",
"realName": "Troubleshooting Steps.pdf"
}
],
"requesterEmail": "jerry@motadata.com",
"description": "",
"tags": [
"connectivity",
"internet"
],
"impactName": "Low",
"priorityName": "Low",
"urgencyName": "Low",
"updatedByName": "jerry",
"solutionFileAttachments": [],
"solutionUpdatedByName": "jerry",
"solutionUpdatedTime": 1770724211002,
"formatedSolutionUpdatedTime": "10/02/2026 04:31 pm",
"formatedCreatedTime": "10/02/2026 04:31 pm",
"formatedUpdatedTime": "10/02/2026 05:25 pm",
"natureOfProblem": "proactive",
"knownError": false,
"dueBy": "03/03/2026 06:00 pm",
"ccEmailSet": [],
"problemAge": "54 min 36 sec ",
"impactFileAttachments": [],
"rootCause": "<p>Cable was disconnected.</p>",
"rootCauseFileAttachments": [],
"symptompsFileAttachments": [],
"workaround": "<p>Reset the router.</p>",
"workaroundFileAttachments": []
}